# Task Types

Task Types

 - [GET /taskTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-types/listtasktypes.md): This method will scan all task types and and return them to the caller.
 - [POST /taskTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-types/createtasktype.md): This method will auto-generate an ID and create a new task type. If an ID is specified for the task type, an error will be thrown.
 - [POST /taskTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /taskTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-types/deletetasktype.md): This method will delete a task type with the specified ID.
 - [GET /taskTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-types/gettasktype.md): This method will look up a task type by the specified ID and return it back.
 - [PATCH /taskTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-types/patchtasktype.md): This method will patch an existing task type with the specified ID, using the HTTP PATCH specification.
 - [PUT /taskTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-types/updatetasktype.md): This method will update an existing task type with the specified ID.
